ThisBuild / scalaVersion := "3.1.2"

lazy val root = project.in(file("."))
  .aggregate(lecture08.js, lecture08.jvm)
  .settings(
    publish := {},
    publishLocal := {}
  )

lazy val lecture08 = crossProject(JSPlatform,JVMPlatform).in(file("."))
  .settings(
    Compile / scalaSource := baseDirectory.value,
    name := "lecture-08",    
  )
  .jvmSettings(
    libraryDependencies += ("com.typesafe.akka" %% "akka-stream" % "2.6.14").cross(CrossVersion.for3Use2_13)
    //libraryDependencies += "org.scala-js" %% "scalajs-dom" % "2.2.0"
  )
  .jsSettings(
    libraryDependencies += ("org.akka-js" %%% "akkajsactorstream" % "2.2.6.14").cross(CrossVersion.for3Use2_13),
    libraryDependencies += "org.scala-js" %%% "scalajs-dom" % "2.2.0",
    scalaJSUseMainModuleInitializer := true
  )